Devuan bug report logs - #503
Let's fork iwd for Devuan

version graph

Package: iwd; Maintainer for iwd is Job Bautista <jobbautista9@protonmail.com>;

Reported by: Job Bautista <jobbautista9@protonmail.com>

Date: Wed, 5 Aug 2020 03:03:01 UTC

Severity: grave

Tags: patch

Found in version 1.8-1

Fixed in version 1.8-1+devuan1

Done: dak@devuan.org

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Wed, 05 Aug 2020 03:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Job Bautista <jobbautista9@protonmail.com>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Wed, 05 Aug 2020 03:03:21 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Job Bautista <jobbautista9@protonmail.com>
To: "submit@bugs.devuan.org" <submit@bugs.devuan.org>
Subject: Let's fork iwd for Devuan
Date: Wed, 05 Aug 2020 02:56:46 +0000
[Message part 1 (text/plain, inline)]
Package: iwd
Version: 1.8-1
Severity: grave
Tags: patch
Justification: renders package unusable

Dear Devuan developers,

I had tried all possible routes that would avoid having to fork iwd. I sent a
bug report to the Debian maintainer and asked them to support sysvinit. I
asked upstream to consider supporting multiple inits. Both of them failed.
The upstream made it final that they will only support systemd, and those who
wish to make iwd support sysvinit will have to be done by downstream. So I
would like to volunteer being the maintainer for a Devuan fork of iwd. I was
able to make iwd work in my Chimaera system, thanks to the kind members of
the dev1galaxy.org forum. The VCS of this fork will be located at
https://git.devuan.org/jobbautista9/iwd. As you can see, I already started
forking iwd. The only thing I haven't done yet is to update the changelog,
which I will do shortly after finishing this bug report.

The reason why this bug's severity is grave is because the current version of
this package doesn't start at boot. I could have used severity important if
it exists in Devuan BTS...


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera/ceres)
Release:	testing/unstable
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.7.0-2-amd64 (SMP w/4 CPU threads)
Kernel taint flags: TAINT_FIRMWARE_WORKAROUND
Locale: LANG=en_PH.UTF-8, LC_CTYPE=en_PH.UTF-8 (charmap=UTF-8), LANGUAGE=en_PH:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages iwd depends on:
ii  libc6         2.31-2
ii  libreadline8  8.0-4

iwd recommends no packages.

iwd suggests no packages.

-- no debconf information
[00-iwd-sysvinit-script (application/octet-stream, attachment)]
[iwd.install (application/octet-stream, attachment)]
[iwd.postinst (application/octet-stream, attachment)]
[iwd.postrm (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Wed, 05 Aug 2020 12:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Wed, 05 Aug 2020 12:18:09 GMT) (full text, mbox, link).


Message #10 received at 503@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Job Bautista <jobbautista9@protonmail.com>
Cc: 503@bugs.devuan.org
Subject: Re: Let's fork iwd for Devuan
Date: Wed, 5 Aug 2020 13:07:45 +0100
On Wed, Aug 05, 2020 at 02:56:46AM +0000, Job Bautista wrote:
> Package: iwd
> Version: 1.8-1
> Severity: grave
> Tags: patch
> Justification: renders package unusable
> 
> Dear Devuan developers,
> 
> I had tried all possible routes that would avoid having to fork iwd. I sent a
> bug report to the Debian maintainer and asked them to support sysvinit. I
> asked upstream to consider supporting multiple inits. Both of them failed.
> The upstream made it final that they will only support systemd, and those who
> wish to make iwd support sysvinit will have to be done by downstream. So I
> would like to volunteer being the maintainer for a Devuan fork of iwd.

Thanks for that offer. I will try to review your tree today.

Mark

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Wed, 05 Aug 2020 12:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Wed, 05 Aug 2020 12:33:08 GMT) (full text, mbox, link).


Message #15 received at 503@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Job Bautista <jobbautista9@protonmail.com>
Cc: 503@bugs.devuan.org
Subject: Re: Let's fork iwd for Devuan
Date: Wed, 5 Aug 2020 13:23:34 +0100
Job,

Many thanks for taking this on.

A few comments on https://git.devuan.org/jobbautista9/iwd

 - The branch should be suites/unstable.
 - Add Origin: Devuan to d/control
 - You need to update d/gbp.conf, in particular debian-branch, debian-tag and
   pristine-tar. Devuan avoids using pristine-tar.
 - Vcs-* fields in d/control should be https://git.devuan.org/devuan/iwd (where
   the definitive source will be once it is accepted)
 - You don't need quilt patches for changes in debian/. So you can just create
   the initscript as debian/iwd.init.
 - You shouldn't add the initscript control fragments to the maintscripts
   manually, debhelper should do it (correctly) for you.

Other than the last item, these are documented in the Devuan Maintainers
Guide[1]. If anything is not clear do ping me on #devuan-dev.

Thanks

Mark (LeePen)


[1]  https://git.devuan.org/devuan/documentation/src/branch/master/maintainers


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Wed, 05 Aug 2020 14:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Jérôme Bardot <bardot.jerome@gmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Wed, 05 Aug 2020 14:18:04 GMT) (full text, mbox, link).


Message #20 received at 503@bugs.devuan.org (full text, mbox, reply):

From: Jérôme Bardot <bardot.jerome@gmail.com>
To: Mark Hindley <mark@hindley.org.uk>, 503@bugs.devuan.org, devuan developers internal list <devuan-dev@lists.dyne.org>
Cc: Job Bautista <jobbautista9@protonmail.com>
Subject: Re: [devuan-dev] bug#503: Let's fork iwd for Devuan
Date: Wed, 5 Aug 2020 15:58:58 +0200
i also will ask for it, also maybe try to use
https://github.com/dylanaraps/eiwd look like a good alternative
because of the no dbus functionalities ?

Le mer. 5 août 2020 à 14:31, Mark Hindley <mark@hindley.org.uk> a écrit :
>
> Job,
>
> Many thanks for taking this on.
>
> A few comments on https://git.devuan.org/jobbautista9/iwd
>
>  - The branch should be suites/unstable.
>  - Add Origin: Devuan to d/control
>  - You need to update d/gbp.conf, in particular debian-branch, debian-tag and
>    pristine-tar. Devuan avoids using pristine-tar.
>  - Vcs-* fields in d/control should be https://git.devuan.org/devuan/iwd (where
>    the definitive source will be once it is accepted)
>  - You don't need quilt patches for changes in debian/. So you can just create
>    the initscript as debian/iwd.init.
>  - You shouldn't add the initscript control fragments to the maintscripts
>    manually, debhelper should do it (correctly) for you.
>
> Other than the last item, these are documented in the Devuan Maintainers
> Guide[1]. If anything is not clear do ping me on #devuan-dev.
>
> Thanks
>
> Mark (LeePen)
>
>
> [1]  https://git.devuan.org/devuan/documentation/src/branch/master/maintainers
> _______________________________________________
> devuan-dev internal mailing list
> devuan-dev@lists.dyne.org
> https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Thu, 06 Aug 2020 05:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Job Bautista <jobbautista9@protonmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Thu, 06 Aug 2020 05:03:10 GMT) (full text, mbox, link).


Message #25 received at 503@bugs.devuan.org (full text, mbox, reply):

From: Job Bautista <jobbautista9@protonmail.com>
To: Mark Hindley <mark@hindley.org.uk>
Cc: "503@bugs.devuan.org" <503@bugs.devuan.org>
Subject: Re: Let's fork iwd for Devuan
Date: Thu, 06 Aug 2020 04:43:59 +0000
[Message part 1 (text/plain, inline)]
Hi, I updated my git repo to address your comments. Are there anything else I need to do? Thanks :)


Job Bautista

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Wednesday, August 5, 2020 8:23 PM, Mark Hindley <mark@hindley.org.uk> wrote:

> Job,
> 

> Many thanks for taking this on.
> 

> A few comments on https://git.devuan.org/jobbautista9/iwd
> 

> -   The branch should be suites/unstable.
> -   Add Origin: Devuan to d/control
> -   You need to update d/gbp.conf, in particular debian-branch, debian-tag and
>     pristine-tar. Devuan avoids using pristine-tar.
>     

> -   Vcs-* fields in d/control should be https://git.devuan.org/devuan/iwd (where
>     the definitive source will be once it is accepted)
>     

> -   You don't need quilt patches for changes in debian/. So you can just create
>     the initscript as debian/iwd.init.
>     

> -   You shouldn't add the initscript control fragments to the maintscripts
>     manually, debhelper should do it (correctly) for you.
>     

>     Other than the last item, these are documented in the Devuan Maintainers
>     Guide[1]. If anything is not clear do ping me on #devuan-dev.
>     

>     Thanks
>     

>     Mark (LeePen)
>     

>     [1] https://git.devuan.org/devuan/documentation/src/branch/master/maintainers
>

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Thu, 06 Aug 2020 05:03:13 GMT) (full text, mbox, link).


Acknowledgement sent to Job Bautista <jobbautista9@protonmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Thu, 06 Aug 2020 05:03:20 GMT) (full text, mbox, link).


Message #30 received at 503@bugs.devuan.org (full text, mbox, reply):

From: Job Bautista <jobbautista9@protonmail.com>
To: Jérôme Bardot <bardot.jerome@gmail.com>
Cc: "503@bugs.devuan.org" <503@bugs.devuan.org>, Mark Hindley <mark@hindley.org.uk>
Subject: Re: [devuan-dev] bug#503: Let's fork iwd for Devuan
Date: Thu, 06 Aug 2020 04:54:29 +0000
[Message part 1 (text/plain, inline)]
Hi Jérôme, that looks like a good alternative indeed. It should be packaged by
Debian though, not Devuan. However, I don't think I can maintain more than two
packages. I already have a a sponsorship request pending on
mentors.debian.net for the xfce4-alsa-plugin package.[1] And now I'm going to
maintain a fork of iwd. So you will have to ask someone else to package eiwd.

I will ask the eiwd dev to consider adding support for sysvinit though. They
might be more open to supporting multiple inits than their upstream iwd. Or
they might just reject it because they want to modify as little as possible
from upstream. Who knows...

Job Bautista

[1]: https://mentors.debian.net/package/xfce4-alsa-plugin/

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Wednesday, August 5, 2020 9:58 PM, Jérôme Bardot <bardot.jerome@gmail.com> wrote:

> i also will ask for it, also maybe try to use
> https://github.com/dylanaraps/eiwd look like a good alternative
> because of the no dbus functionalities ?
> 

> Le mer. 5 août 2020 à 14:31, Mark Hindley mark@hindley.org.uk a écrit :
> 

> > Job,
> > Many thanks for taking this on.
> > A few comments on https://git.devuan.org/jobbautista9/iwd
> > 

> > -   The branch should be suites/unstable.
> > -   Add Origin: Devuan to d/control
> > -   You need to update d/gbp.conf, in particular debian-branch, debian-tag and
> >     pristine-tar. Devuan avoids using pristine-tar.
> >     

> > -   Vcs-* fields in d/control should be https://git.devuan.org/devuan/iwd (where
> >     the definitive source will be once it is accepted)
> >     

> > -   You don't need quilt patches for changes in debian/. So you can just create
> >     the initscript as debian/iwd.init.
> >     

> > -   You shouldn't add the initscript control fragments to the maintscripts
> >     manually, debhelper should do it (correctly) for you.
> >     

> > 

> > Other than the last item, these are documented in the Devuan Maintainers
> > Guide[1]. If anything is not clear do ping me on #devuan-dev.
> > Thanks
> > Mark (LeePen)
> > [1] https://git.devuan.org/devuan/documentation/src/branch/master/maintainers
> > 

> > devuan-dev internal mailing list
> > devuan-dev@lists.dyne.org
> > https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Thu, 06 Aug 2020 11:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Job Bautista <jobbautista9@protonmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Thu, 06 Aug 2020 11:18:04 GMT) (full text, mbox, link).


Message #35 received at 503@bugs.devuan.org (full text, mbox, reply):

From: Job Bautista <jobbautista9@protonmail.com>
To: Jérôme Bardot <bardot.jerome@gmail.com>
Cc: "503@bugs.devuan.org" <503@bugs.devuan.org>, Mark Hindley <mark@hindley.org.uk>
Subject: Re: [devuan-dev] bug#503: Let's fork iwd for Devuan
Date: Thu, 06 Aug 2020 10:59:30 +0000
[Message part 1 (text/plain, inline)]
> I will ask the eiwd dev to consider adding support for sysvinit though. They
> might be more open to supporting multiple inits than their upstream iwd. Or
> they might just reject it because they want to modify as little as possible
> from upstream. Who knows...

For some reason I can't sign up in GitHub, even though I disabled my uBlock and HTTPS Everywhere add-ons. Seems like someone has to ask the eiwd dev to support sysvinit as well...

Job Bautista
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Thu, 06 Aug 2020 15:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Bardot Jérôme <bardot.jerome@gmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Thu, 06 Aug 2020 15:48:05 GMT) (full text, mbox, link).


Message #40 received at 503@bugs.devuan.org (full text, mbox, reply):

From: Bardot Jérôme <bardot.jerome@gmail.com>
To: jobbautista9@protonmail.com
Cc: 503@bugs.devuan.org, mark@hindley.org.uk
Subject: Re: [devuan-dev] bug#503: Let's fork iwd for Devuan
Date: Thu, 6 Aug 2020 17:28:12 +0200
[Message part 1 (text/plain, inline)]
I just check in testing debian and

#apt show iwd

Package: iwd
Version: 1.8-1
Priority: optional
Section: net
Maintainer: Andreas Henriksson <andreas@fatal.se>
Installed-Size: 2 019 kB
Depends: libc6 (>= 2.27), libreadline8 (>= 6.0)
Download-Size: 483 kB
APT-Manual-Installed: yes
APT-Sources: tor+http://ftp.fr.debian.org/debian testing/main amd64 Packages
Description: wireless daemon for Linux
 Minimalistic wireless daemon that uses modern Linux interfaces like
 cfg80211 and nl80211 (netlink). The daemon provides a D-Bus API.
 .
 The daemon can be controlled from the command line with the included
 iwctl client utility.
 .
 The included iwmon utility can be used to monitor the 802.11 subsystem
 generic netlink commands and events. It uses the nlmon kernel driver
 from Linux 3.10 and later.


If it s the right package it’s look like their is no dependencies to
systemd.



On 06/08/2020 06:54, Job Bautista wrote:
> Hi Jérôme, that looks like a good alternative indeed. It should be packaged by
> Debian though, not Devuan. However, I don't think I can maintain more than two
> packages. I already have a a sponsorship request pending on
> mentors.debian.net for the xfce4-alsa-plugin package.[1] And now I'm going to
> maintain a fork of iwd. So you will have to ask someone else to package eiwd.
> 
> I will ask the eiwd dev to consider adding support for sysvinit though. They
> might be more open to supporting multiple inits than their upstream iwd. Or
> they might just reject it because they want to modify as little as possible
> from upstream. Who knows...
> 
> Job Bautista
> 
> [1]: https://mentors.debian.net/package/xfce4-alsa-plugin/
> 
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> On Wednesday, August 5, 2020 9:58 PM, Jérôme Bardot <bardot.jerome@gmail.com> wrote:
> 
>> i also will ask for it, also maybe try to use
>> https://github.com/dylanaraps/eiwd look like a good alternative
>> because of the no dbus functionalities ?
>>
> 
>> Le mer. 5 août 2020 à 14:31, Mark Hindley mark@hindley.org.uk a écrit :
>>
> 
>>> Job,
>>> Many thanks for taking this on.
>>> A few comments on https://git.devuan.org/jobbautista9/iwd
>>>
> 
>>> -   The branch should be suites/unstable.
>>> -   Add Origin: Devuan to d/control
>>> -   You need to update d/gbp.conf, in particular debian-branch, debian-tag and
>>>     pristine-tar. Devuan avoids using pristine-tar.
>>>     
> 
>>> -   Vcs-* fields in d/control should be https://git.devuan.org/devuan/iwd (where
>>>     the definitive source will be once it is accepted)
>>>     
> 
>>> -   You don't need quilt patches for changes in debian/. So you can just create
>>>     the initscript as debian/iwd.init.
>>>     
> 
>>> -   You shouldn't add the initscript control fragments to the maintscripts
>>>     manually, debhelper should do it (correctly) for you.
>>>     
> 
>>>
> 
>>> Other than the last item, these are documented in the Devuan Maintainers
>>> Guide[1]. If anything is not clear do ping me on #devuan-dev.
>>> Thanks
>>> Mark (LeePen)
>>> [1] https://git.devuan.org/devuan/documentation/src/branch/master/maintainers
>>>
> 
>>> devuan-dev internal mailing list
>>> devuan-dev@lists.dyne.org
>>> https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev
> 

[0x053A41EF03878A98.asc (application/pgp-keys, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Thu, 06 Aug 2020 15:48:12 GMT) (full text, mbox, link).


Acknowledgement sent to Bardot Jérôme <bardot.jerome@gmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Thu, 06 Aug 2020 15:48:19 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Fri, 07 Aug 2020 02:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Job Bautista <jobbautista9@protonmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Fri, 07 Aug 2020 02:33:09 GMT) (full text, mbox, link).


Message #50 received at 503@bugs.devuan.org (full text, mbox, reply):

From: Job Bautista <jobbautista9@protonmail.com>
To: Bardot Jérôme <bardot.jerome@gmail.com>
Cc: "503@bugs.devuan.org" <503@bugs.devuan.org>, Mark Hindley <mark@hindley.org.uk>
Subject: Re: [devuan-dev] bug#503: Let's fork iwd for Devuan
Date: Fri, 07 Aug 2020 02:12:33 +0000
[Message part 1 (text/plain, inline)]
It's not declared in Depends, but iwd has a hidden dependency on systemd. On
non-systemd systems, iwd doesn't autostart on boot, requiring you to start it
manually or create an initscript for it. Debian packages are supposed to work
out-of-the-box when you install them. If today's iwd was being packaged
before systemd became the default init of Debian, no sane DD would have
sponsored or accepted it into the main archive.

iwd also has a Build-Depends on systemd, which means it's impossible to build
iwd on Devuan without disabling the compilation of the systemd service on
debian/rules. Or maybe it does build without systemd even when the systemd
service compilation is enabled. I haven't tested that yet I think.

Job Bautista

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Thursday, August 6, 2020 11:28 PM, Bardot Jérôme <bardot.jerome@gmail.com> wrote:

> I just check in testing debian and
> 

> #apt show iwd
> 

> Package: iwd
> Version: 1.8-1
> Priority: optional
> Section: net
> Maintainer: Andreas Henriksson andreas@fatal.se
> Installed-Size: 2 019 kB
> Depends: libc6 (>= 2.27), libreadline8 (>= 6.0)
> Download-Size: 483 kB
> APT-Manual-Installed: yes
> APT-Sources: tor+http://ftp.fr.debian.org/debian testing/main amd64 Packages
> Description: wireless daemon for Linux
> Minimalistic wireless daemon that uses modern Linux interfaces like
> cfg80211 and nl80211 (netlink). The daemon provides a D-Bus API.
> .
> The daemon can be controlled from the command line with the included
> iwctl client utility.
> .
> The included iwmon utility can be used to monitor the 802.11 subsystem
> generic netlink commands and events. It uses the nlmon kernel driver
> from Linux 3.10 and later.
> 

> If it s the right package it’s look like their is no dependencies to
> systemd.
> 

> On 06/08/2020 06:54, Job Bautista wrote:
> 

> > Hi Jérôme, that looks like a good alternative indeed. It should be packaged by
> > Debian though, not Devuan. However, I don't think I can maintain more than two
> > packages. I already have a a sponsorship request pending on
> > mentors.debian.net for the xfce4-alsa-plugin package.1 And now I'm going to
> > maintain a fork of iwd. So you will have to ask someone else to package eiwd.
> > I will ask the eiwd dev to consider adding support for sysvinit though. They
> > might be more open to supporting multiple inits than their upstream iwd. Or
> > they might just reject it because they want to modify as little as possible
> > from upstream. Who knows...
> > Job Bautista
> > ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> > On Wednesday, August 5, 2020 9:58 PM, Jérôme Bardot bardot.jerome@gmail.com wrote:
> > 

> > > i also will ask for it, also maybe try to use
> > > https://github.com/dylanaraps/eiwd look like a good alternative
> > > because of the no dbus functionalities ?
> > 

> > > Le mer. 5 août 2020 à 14:31, Mark Hindley mark@hindley.org.uk a écrit :
> > 

> > > > Job,
> > > > Many thanks for taking this on.
> > > > A few comments on https://git.devuan.org/jobbautista9/iwd
> > 

> > > > -   The branch should be suites/unstable.
> > > > -   Add Origin: Devuan to d/control
> > > > -   You need to update d/gbp.conf, in particular debian-branch, debian-tag and
> > > >     pristine-tar. Devuan avoids using pristine-tar.
> > > >     

> > 

> > > > -   Vcs-* fields in d/control should be https://git.devuan.org/devuan/iwd (where
> > > >     the definitive source will be once it is accepted)
> > > >     

> > 

> > > > -   You don't need quilt patches for changes in debian/. So you can just create
> > > >     the initscript as debian/iwd.init.
> > > >     

> > 

> > > > -   You shouldn't add the initscript control fragments to the maintscripts
> > > >     manually, debhelper should do it (correctly) for you.
> > > >     

> > 

> > > > 

> > 

> > > > Other than the last item, these are documented in the Devuan Maintainers
> > > > Guide1. If anything is not clear do ping me on #devuan-dev.
> > > > Thanks
> > > > Mark (LeePen)
> > > > 1 https://git.devuan.org/devuan/documentation/src/branch/master/maintainers
> > 

> > > > devuan-dev internal mailing list
> > > > devuan-dev@lists.dyne.org
> > > > https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Fri, 07 Aug 2020 10:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Bardot Jérôme <bardot.jerome@gmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Fri, 07 Aug 2020 10:33:09 GMT) (full text, mbox, link).


Message #55 received at 503@bugs.devuan.org (full text, mbox, reply):

From: Bardot Jérôme <bardot.jerome@gmail.com>
To: Job Bautista <jobbautista9@protonmail.com>
Cc: "503@bugs.devuan.org" <503@bugs.devuan.org>, Mark Hindley <mark@hindley.org.uk>
Subject: Re: [devuan-dev] bug#503: Let's fork iwd for Devuan
Date: Fri, 7 Aug 2020 12:14:16 +0200
[Message part 1 (text/plain, inline)]
If it’s really the case it’s not fair and not profesionnal at all.

For me the fact is the current situation is not suitable at all. debian
and devuan need a way to select init system and apt install related
packages even if the default package is systemd. Something like that.

mypackage
mypackage-sysinit


For the current problem i guess if we do the init file maybe we can
upstream push request it instead of forking it ?

Also i don t know state of devuan's $$ ressources but it will be
necessary to have some kind of testing of all package (pseudo code)

service package start
if $? == 0
 ok
else
 notok

And also scenario cases to improve qualities because it’s the only way
to keep diversity on long term. (a day i will have time to weekly meeting)



On 07/08/2020 04:12, Job Bautista wrote:
> It's not declared in Depends, but iwd has a hidden dependency on systemd. On
> non-systemd systems, iwd doesn't autostart on boot, requiring you to start it
> manually or create an initscript for it. Debian packages are supposed to work
> out-of-the-box when you install them. If today's iwd was being packaged
> before systemd became the default init of Debian, no sane DD would have
> sponsored or accepted it into the main archive.
> 
> iwd also has a Build-Depends on systemd, which means it's impossible to build
> iwd on Devuan without disabling the compilation of the systemd service on
> debian/rules. Or maybe it does build without systemd even when the systemd
> service compilation is enabled. I haven't tested that yet I think.
> 
> Job Bautista
> 
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> On Thursday, August 6, 2020 11:28 PM, Bardot Jérôme <bardot.jerome@gmail.com> wrote:
> 
>> I just check in testing debian and
>>
> 
>> #apt show iwd
>>
> 
>> Package: iwd
>> Version: 1.8-1
>> Priority: optional
>> Section: net
>> Maintainer: Andreas Henriksson andreas@fatal.se
>> Installed-Size: 2 019 kB
>> Depends: libc6 (>= 2.27), libreadline8 (>= 6.0)
>> Download-Size: 483 kB
>> APT-Manual-Installed: yes
>> APT-Sources: tor+http://ftp.fr.debian.org/debian testing/main amd64 Packages
>> Description: wireless daemon for Linux
>> Minimalistic wireless daemon that uses modern Linux interfaces like
>> cfg80211 and nl80211 (netlink). The daemon provides a D-Bus API.
>> .
>> The daemon can be controlled from the command line with the included
>> iwctl client utility.
>> .
>> The included iwmon utility can be used to monitor the 802.11 subsystem
>> generic netlink commands and events. It uses the nlmon kernel driver
>> from Linux 3.10 and later.
>>
> 
>> If it s the right package it’s look like their is no dependencies to
>> systemd.
>>
> 
>> On 06/08/2020 06:54, Job Bautista wrote:
>>
> 
>>> Hi Jérôme, that looks like a good alternative indeed. It should be packaged by
>>> Debian though, not Devuan. However, I don't think I can maintain more than two
>>> packages. I already have a a sponsorship request pending on
>>> mentors.debian.net for the xfce4-alsa-plugin package.1 And now I'm going to
>>> maintain a fork of iwd. So you will have to ask someone else to package eiwd.
>>> I will ask the eiwd dev to consider adding support for sysvinit though. They
>>> might be more open to supporting multiple inits than their upstream iwd. Or
>>> they might just reject it because they want to modify as little as possible
>>> from upstream. Who knows...
>>> Job Bautista
>>> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
>>> On Wednesday, August 5, 2020 9:58 PM, Jérôme Bardot bardot.jerome@gmail.com wrote:
>>>
> 
>>>> i also will ask for it, also maybe try to use
>>>> https://github.com/dylanaraps/eiwd look like a good alternative
>>>> because of the no dbus functionalities ?
>>>
> 
>>>> Le mer. 5 août 2020 à 14:31, Mark Hindley mark@hindley.org.uk a écrit :
>>>
> 
>>>>> Job,
>>>>> Many thanks for taking this on.
>>>>> A few comments on https://git.devuan.org/jobbautista9/iwd
>>>
> 
>>>>> -   The branch should be suites/unstable.
>>>>> -   Add Origin: Devuan to d/control
>>>>> -   You need to update d/gbp.conf, in particular debian-branch, debian-tag and
>>>>>     pristine-tar. Devuan avoids using pristine-tar.
>>>>>     
> 
>>>
> 
>>>>> -   Vcs-* fields in d/control should be https://git.devuan.org/devuan/iwd (where
>>>>>     the definitive source will be once it is accepted)
>>>>>     
> 
>>>
> 
>>>>> -   You don't need quilt patches for changes in debian/. So you can just create
>>>>>     the initscript as debian/iwd.init.
>>>>>     
> 
>>>
> 
>>>>> -   You shouldn't add the initscript control fragments to the maintscripts
>>>>>     manually, debhelper should do it (correctly) for you.
>>>>>     
> 
>>>
> 
>>>>>
> 
>>>
> 
>>>>> Other than the last item, these are documented in the Devuan Maintainers
>>>>> Guide1. If anything is not clear do ping me on #devuan-dev.
>>>>> Thanks
>>>>> Mark (LeePen)
>>>>> 1 https://git.devuan.org/devuan/documentation/src/branch/master/maintainers
>>>
> 
>>>>> devuan-dev internal mailing list
>>>>> devuan-dev@lists.dyne.org
>>>>> https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev
> 

[0x053A41EF03878A98.asc (application/pgp-keys, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Fri, 07 Aug 2020 10:33:17 GMT) (full text, mbox, link).


Acknowledgement sent to Bardot Jérôme <bardot.jerome@gmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Fri, 07 Aug 2020 10:33:19 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Fri, 07 Aug 2020 10:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Jérôme Bardot <bardot.jerome@gmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Fri, 07 Aug 2020 10:48:09 GMT) (full text, mbox, link).


Message #65 received at 503@bugs.devuan.org (full text, mbox, reply):

From: Jérôme Bardot <bardot.jerome@gmail.com>
To: Job Bautista <jobbautista9@protonmail.com>
Cc: "503@bugs.devuan.org" <503@bugs.devuan.org>, Mark Hindley <mark@hindley.org.uk>
Subject: Re: [devuan-dev] bug#503: Let's fork iwd for Devuan
Date: Fri, 7 Aug 2020 12:34:05 +0200
[Message part 1 (text/plain, inline)]
I just sysd2v v0.3 the /lib/systemd/system/iwd.service and the start
look good. Process is in ps auxf |grep "iwd"
I’m currently not able to be sure furthermore if it’s really working i
have to read more about init script  (never know what is needed or/and
for what) iw and connman integration there is a systemd script for
that to

cat /usr/share/dbus-1/system-services/net.connman.iwd.service
[D-BUS Service]
Name=net.connman.iwd
Exec=/bin/false
User=root
SystemdService=iwd.service

but not sure it s a really usefull one

Le ven. 7 août 2020 à 12:14, Bardot Jérôme <bardot.jerome@gmail.com> a écrit :
>
> If it’s really the case it’s not fair and not profesionnal at all.
>
> For me the fact is the current situation is not suitable at all. debian
> and devuan need a way to select init system and apt install related
> packages even if the default package is systemd. Something like that.
>
> mypackage
> mypackage-sysinit
>
>
> For the current problem i guess if we do the init file maybe we can
> upstream push request it instead of forking it ?
>
> Also i don t know state of devuan's $$ ressources but it will be
> necessary to have some kind of testing of all package (pseudo code)
>
> service package start
> if $? == 0
>  ok
> else
>  notok
>
> And also scenario cases to improve qualities because it’s the only way
> to keep diversity on long term. (a day i will have time to weekly meeting)
>
>
>
> On 07/08/2020 04:12, Job Bautista wrote:
> > It's not declared in Depends, but iwd has a hidden dependency on systemd. On
> > non-systemd systems, iwd doesn't autostart on boot, requiring you to start it
> > manually or create an initscript for it. Debian packages are supposed to work
> > out-of-the-box when you install them. If today's iwd was being packaged
> > before systemd became the default init of Debian, no sane DD would have
> > sponsored or accepted it into the main archive.
> >
> > iwd also has a Build-Depends on systemd, which means it's impossible to build
> > iwd on Devuan without disabling the compilation of the systemd service on
> > debian/rules. Or maybe it does build without systemd even when the systemd
> > service compilation is enabled. I haven't tested that yet I think.
> >
> > Job Bautista
> >
> > ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> > On Thursday, August 6, 2020 11:28 PM, Bardot Jérôme <bardot.jerome@gmail.com> wrote:
> >
> >> I just check in testing debian and
> >>
> >
> >> #apt show iwd
> >>
> >
> >> Package: iwd
> >> Version: 1.8-1
> >> Priority: optional
> >> Section: net
> >> Maintainer: Andreas Henriksson andreas@fatal.se
> >> Installed-Size: 2 019 kB
> >> Depends: libc6 (>= 2.27), libreadline8 (>= 6.0)
> >> Download-Size: 483 kB
> >> APT-Manual-Installed: yes
> >> APT-Sources: tor+http://ftp.fr.debian.org/debian testing/main amd64 Packages
> >> Description: wireless daemon for Linux
> >> Minimalistic wireless daemon that uses modern Linux interfaces like
> >> cfg80211 and nl80211 (netlink). The daemon provides a D-Bus API.
> >> .
> >> The daemon can be controlled from the command line with the included
> >> iwctl client utility.
> >> .
> >> The included iwmon utility can be used to monitor the 802.11 subsystem
> >> generic netlink commands and events. It uses the nlmon kernel driver
> >> from Linux 3.10 and later.
> >>
> >
> >> If it s the right package it’s look like their is no dependencies to
> >> systemd.
> >>
> >
> >> On 06/08/2020 06:54, Job Bautista wrote:
> >>
> >
> >>> Hi Jérôme, that looks like a good alternative indeed. It should be packaged by
> >>> Debian though, not Devuan. However, I don't think I can maintain more than two
> >>> packages. I already have a a sponsorship request pending on
> >>> mentors.debian.net for the xfce4-alsa-plugin package.1 And now I'm going to
> >>> maintain a fork of iwd. So you will have to ask someone else to package eiwd.
> >>> I will ask the eiwd dev to consider adding support for sysvinit though. They
> >>> might be more open to supporting multiple inits than their upstream iwd. Or
> >>> they might just reject it because they want to modify as little as possible
> >>> from upstream. Who knows...
> >>> Job Bautista
> >>> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> >>> On Wednesday, August 5, 2020 9:58 PM, Jérôme Bardot bardot.jerome@gmail.com wrote:
> >>>
> >
> >>>> i also will ask for it, also maybe try to use
> >>>> https://github.com/dylanaraps/eiwd look like a good alternative
> >>>> because of the no dbus functionalities ?
> >>>
> >
> >>>> Le mer. 5 août 2020 à 14:31, Mark Hindley mark@hindley.org.uk a écrit :
> >>>
> >
> >>>>> Job,
> >>>>> Many thanks for taking this on.
> >>>>> A few comments on https://git.devuan.org/jobbautista9/iwd
> >>>
> >
> >>>>> -   The branch should be suites/unstable.
> >>>>> -   Add Origin: Devuan to d/control
> >>>>> -   You need to update d/gbp.conf, in particular debian-branch, debian-tag and
> >>>>>     pristine-tar. Devuan avoids using pristine-tar.
> >>>>>
> >
> >>>
> >
> >>>>> -   Vcs-* fields in d/control should be https://git.devuan.org/devuan/iwd (where
> >>>>>     the definitive source will be once it is accepted)
> >>>>>
> >
> >>>
> >
> >>>>> -   You don't need quilt patches for changes in debian/. So you can just create
> >>>>>     the initscript as debian/iwd.init.
> >>>>>
> >
> >>>
> >
> >>>>> -   You shouldn't add the initscript control fragments to the maintscripts
> >>>>>     manually, debhelper should do it (correctly) for you.
> >>>>>
> >
> >>>
> >
> >>>>>
> >
> >>>
> >
> >>>>> Other than the last item, these are documented in the Devuan Maintainers
> >>>>> Guide1. If anything is not clear do ping me on #devuan-dev.
> >>>>> Thanks
> >>>>> Mark (LeePen)
> >>>>> 1 https://git.devuan.org/devuan/documentation/src/branch/master/maintainers
> >>>
> >
> >>>>> devuan-dev internal mailing list
> >>>>> devuan-dev@lists.dyne.org
> >>>>> https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev
> >
>
[iwd (application/octet-stream, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#503; Package iwd. (Fri, 07 Aug 2020 16:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Fri, 07 Aug 2020 16:18:03 GMT) (full text, mbox, link).


Message #70 received at 503@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Job Bautista <jobbautista9@protonmail.com>
Cc: "503@bugs.devuan.org" <503@bugs.devuan.org>
Subject: Re: Let's fork iwd for Devuan
Date: Fri, 7 Aug 2020 16:59:59 +0100
On Thu, Aug 06, 2020 at 04:43:59AM +0000, Job Bautista wrote:
> Hi, I updated my git repo to address your comments. Are there anything else I need to do? Thanks :)

Thanks.

I don't see anything else in the packaging and it builds for me.

I will fork the repo to https://git.devuan.org/devuan/ and add you as
maintainer. You can then tag and trigger a build when you are ready.

Thanks very much.

Mark

Reply sent to dak@devuan.org:
You have taken responsibility. (Sun, 09 Aug 2020 02:33:02 GMT) (full text, mbox, link).


Notification sent to Job Bautista <jobbautista9@protonmail.com>:
bug acknowledged by developer. (Sun, 09 Aug 2020 02:33:09 GMT) (full text, mbox, link).


Message #75 received at 503-done@bugs.devuan.org (full text, mbox, reply):

From: dak@devuan.org
To: 503-done@bugs.devuan.org
Subject: #503: fixed in src:iwd version 1.8-1+devuan1
Date: Sun, 09 Aug 2020 01:25:24 +0000
Version: 1.8-1+devuan1

Source package iwd (1.8-1+devuan1) added to Devuan suite unstable.

This closes bug report 503.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 05 Aug 2020 10:59:42 +0800
Source: iwd
Binary: iwd
Architecture: source
Version: 1.8-1+devuan1
Distribution: unstable
Urgency: medium
Maintainer: Job Bautista <jobbautista9@protonmail.com>
Changed-By: Job Bautista <jobbautista9@protonmail.com>
Description:
 iwd        - wireless daemon for Linux
Closes: 503
Changes:
 iwd (1.8-1+devuan1) unstable; urgency=medium
 .
   * Initial release built specifically for Devuan. (Closes: #503)
   * Disabled compilation of systemd service.
   * Added a sysvinit script for non-systemd users.
Checksums-Sha1:
 92404ac150c0c03111e34ac910d0bdc3f1a2e08b 1507 iwd_1.8-1+devuan1.dsc
 42f69f39704f306ada876c6fb990d7c874722f54 7608 iwd_1.8-1+devuan1.debian.tar.xz
 9e34da7316457cc6d0f452fed0e5f5f51a3ed10e 3011 iwd_1.8-1+devuan1_source.buildinfo
Checksums-Sha256:
 3b75601f8097e95a42e4eb64210f2c7154be14f1278d048d18f7a9c4adb922f5 1507 iwd_1.8-1+devuan1.dsc
 ce8232da0e06b6856b58895126eab349cad37de69a3ad61772e3693fe43f707f 7608 iwd_1.8-1+devuan1.debian.tar.xz
 cdb04fa3943aa40e078cbdee158c77bf5be7123922ba11582a156f110625c217 3011 iwd_1.8-1+devuan1_source.buildinfo
Files:
 1efcb46515f79ef2606758cdd7325d8b 1507 net optional iwd_1.8-1+devuan1.dsc
 cfa1782beaa12b0c947171c9c55f74e6 7608 net optional iwd_1.8-1+devuan1.debian.tar.xz
 ea970c8b0fa7dc5d1fe76a6e080fc7f0 3011 net optional iwd_1.8-1+devuan1_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAl8vTvcACgkQlFMhJFQZ
IvuEVAf/WSshenpnkp+yJQNTjNpJaZJq8ugkg7l+EL/k8lN6n1mioNrAaO9Gh+f1
BgGcDwBF9AFY6C4pWNcoZIOC0pjV4WkQODawjGvc7Dk5uMGsi+uC/ooDcRLvpe+S
uMDox4FYb5/qOfW3+9JCbeJyFeGR6P48Oy1hGbwslnzMJKPPWznDuKYabCmDrVSz
LKqBIfW/RxaM1avnWyvtv6iHO2Y79yuZRBZsX/Mrd/yIcRaQEAWaZSi0qoZgY74Q
AuaHxA/IjC/2yGtdoirRWEsLW3jcBKYgtF6PkMn7yFOsGK0iNesKnE6bS4/LEAL5
fM1j6gxDDv+dbZsrNZS5kfYrP0Nl4A==
=qWAo
-----END PGP SIGNATURE-----

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Apr 15 16:56:52 2021;